<template>
    <router-link :tag='`${tag}`' :to='`${to}`' class='rlink'>
        <slot class='rlink-inner'/>
    </router-link>
</template>

<script>
export default {
  props: {
    to: {
      type: String,
      required: true
    },
    tag: {
      type: String,
      default: "a"
    }
  }
};
</script>


<style lang="postcss">
.rlink {
  @apply text-secondary;
  text-decoration: none;
}

.rlink:hover {
  @apply text-indigo-darker;
}

.rlink:visited {
  @apply text-secondary;
  text-decoration: none;
}
</style>
